import os, os.path




class Set(list) :
	"""Directory set -- a list of valid unique directories"""

	def __init__(self, *args) :
		list.__init__(self, self.adopt(args))

	def __add__(self, other) :
		return Set( *(tuple(self) + tuple(other)) )

	def adopt(self, args) :
		"""Remove duplicate elements from the args, normalize paths and perform tilde substitution
			Nonexistent paths are omitted"""
		xargs = []
		xstats = []
		for a in args :
			a = os.path.expanduser(a)
			try :
				s = os.stat(a)
				found = False
				for xs in xstats :
					if os.path.samestat(xs, s) :
						found = True
				if not found :
					a = os.path.normpath(a)
					if self.isValid(a) :
						xargs.append(a)
						xstats.append(s)
			except OSError :
				pass
		return xargs

	def isValid(self, arg) :
		"""Overridable method which should check for arg's validity"""
		return True
